Name:           sshfs-fuse
Version:        2.5
Release:        %mkrel 4
Epoch:          0
Summary:        Filesystem running over SFTP
License:        GPL
Group:          Networking/Remote access
URL:            http://fuse.sourceforge.net/sshfs.html
Source0:        http://downloads.sourceforge.net/fuse/sshfs-fuse-%{version}.tar.gz
Requires:       fuse
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig

%description
This is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set up:
i.e. on the server side there's nothing to do.  On the client side mounting the
filesystem is as easy as logging into the server with ssh.

    * Based on FUSE
    * Multithreading: more than one request can be on it's way to the server
    * Allowing large reads (max 64k)
    * Caching directory contents

%prep
%setup -q

%build
export CC="%{__cc} -fPIC"
%{configure2_5x} --disable-dependency-tracking --disable-sshnodelay
%{make}

%install
%{makeinstall_std}

%files 
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%attr(0755,root,root) %{_bindir}/sshfs
%{_mandir}/man1/sshfs.1*




%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0:2.5-4.mga6
+ Revision: 939319
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:2.5-3.mga5
+ Revision: 748366
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.5-2.mga5
+ Revision: 689320
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 blino <blino> 0:2.5-1.mga5
+ Revision: 666970
- 2.5

* Sat Oct 19 2013 umeabot <umeabot> 0:2.4-2.mga4
+ Revision: 523896
- Mageia 4 Mass Rebuild

* Sun May 26 2013 blino <blino> 0:2.4-1.mga4
+ Revision: 427734
- 2.4

* Mon Jan 14 2013 umeabot <umeabot> 0:2.3-2.mga4
+ Revision: 382622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 blino <blino> 0:2.3-1.mga2
+ Revision: 220634
- 2.3

* Wed Feb 16 2011 blino <blino> 0:2.2-2.mga1
+ Revision: 52125
- imported package sshfs-fuse


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 0:2.2-2mdv2010.0
+ Revision: 445230
- rebuild

* Tue Oct 21 2008 David Walluck <walluck@mandriva.org> 0:2.2-1mdv2009.1
+ Revision: 295894
- 2.2

* Sun Jul 27 2008 David Walluck <walluck@mandriva.org> 0:2.1-1mdv2009.0
+ Revision: 250355
- 2.1

* Fri Apr 25 2008 David Walluck <walluck@mandriva.org> 0:2.0-1mdv2009.0
+ Revision: 197338
- 2.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix file list

* Mon Dec 17 2007 David Walluck <walluck@mandriva.org> 0:1.9-2mdv2008.1
+ Revision: 131673
- explicitly add --disable-dependency-tracking --disable-sshnodelay to configure
- 1.9

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 16 2007 David Walluck <walluck@mandriva.org> 0:1.8-1mdv2008.0
+ Revision: 27418
- 1.8


* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:1.7-1mdv2007.0
- 1.7

* Tue Mar 28 2006 David Walluck <walluck@mandriva.org> 0:1.6-1mdk
- 1.6

* Sat Feb 25 2006 David Walluck <walluck@mandriva.org> 0:1.5-1mdk
- 1.5
- Requires: dkms-fuse, fuse, glib2-devel, pkgconfig
- BuildRequires: libfuse-devel, not libfuse2-devel
- fix build on x86_64
- use %%configure2_5x
- remove menu-related stuff
- add docs

* Sun Oct 30 2005 Eskild Hustvedt <eskild@mandriva.org> 1.3-1mdk
- Initial Mandriva Linux package

